linux: 2.6.24-30.98 -proposed tracker

Bug #910893 reported by Herton R. Krzesinski on 2012-01-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.24-30.98 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 02. January 2012 16:08 UTC
kernel-stable-Certification-testing-end:Monday, 02. January 2012 16:15 UTC
kernel-stable-Prepare-package-end:Tuesday, 03. January 2012 02:15 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 03. January 2012 02:15 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 03. January 2012 07:45 UTC
kernel-stable-Verification-testing-start:Tuesday, 03. January 2012 07:45 UTC
kernel-stable-Security-signoff-start:Tuesday, 03. January 2012 18:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 03. January 2012 18:00 UTC
kernel-stable-Regression-testing-start:Tuesday, 03. January 2012 18:00 UTC
kernel-stable-Regression-testing-end:Wednesday, 04. January 2012 20:45 UTC
kernel-stable-Promote-to-updates-start:Thursday, 05. January 2012 12:45 UTC
kernel-stable-Security-signoff-end:Thursday, 05. January 2012 12:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 11. January 2012 09:16 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 11. January 2012 09:16 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: hardy
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-01-02
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2012-01-03
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-03
description: updated
Herton R. Krzesinski (herton) wrote :

Only CVE fixes in this update, verification complete.

Brad Figg (brad-figg) on 2012-01-03
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-01-04
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-30.98

---------------
linux (2.6.24-30.98) hardy-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #910893

  [Upstream Kernel Changes]

  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369, #unable to handle kernel NULL pointer dereference at 0000000000000008
    - CVE-2011-4110
  * ieee80211: Add IEEE80211_MAX_FRAME_LEN to linux/ieee80211.h
    - LP: #905060
    - CVE-2011-3359
  * b43: allocate receive buffers big enough for max frame len + offset
    - LP: #905060
    - CVE-2011-3359
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 02 Jan 2012 14:12:10 -0200

Changed in linux (Ubuntu Hardy):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers